#!/bin/sh

set_lang() {
    # See: /var/lib/AccountsService/users/
    . /etc/default/locale
    SLANG="${LANG%%_*}"
    [ -z "$SLANG" ] && SLANG="es"

    if [ "$SLANG" = "es" ] ; then
        TITLE="Instalador firma digital"
        PROMPT_WELCOME="Bienvenido al asistente de instalación de certificados para firma digial."
        PROMPT_FILE="Seleccione el fichero que corresponde a su sistema operativo."
        PROMPT_DEPS="Instalando dependencias."
        FILENAME="Archivo"
        FILEDESC="Sistema"
        PROMPT_SERIAL="Ingrese el número serial impreso al reverso de la tarjeta."
        PROMPT_ERR_SERIAL="Error al obtener el número serial de la tarjeta, abortando."
        PROMPT_ERR_DOWNLOAD="Error al descargar el fichero desde Centro de Soporte Firma Digital, abortando."
        PROMPT_DIR_FILE="A continuación, deberá seleccionar la carpeta donde quiere que se descargue y se extraigan los contenidos del fichero seleccionado"
        PROMPT_ERR_DIR_FILE="Error al seleccionar la carpeta de descarga para el fichero, abortando."
        PROMPT_DOWNLOAD="Descargando $FILE desde Centro de Soporte Firma Digital..."
        PROMPT_ERR_DOWN_FILE="Error al descargar el fichero, abortando."
        SUDO_DEB_BROWSER="Ingrese la contraseña de la computadora para instalar Firefox desde mozilla."
        SUDO_DEB_DEPS="Ingrese la contraseña de la computadora para instalar las dependencias."
        SUDO_DEB_CERTS="Ingrese la contraseña de la computadora para instalar los certificados."

    elif [ "$SLANG" = "en" ] ; then
        TITLE="Digital signature installer"
        PROMPT_WELCOME="Welcome to the digital signing certificate installation wizard."
        PROMPT_FILE="Select the file that corresponds to your operating system."
        PROMPT_DEPS="Installing dependencies."
        FILENAME="File"
        FILEDESC="System"
        PROMPT_SERIAL="Enter the serial number printed on the back of the card."
        PROMPT_ERR_SERIAL="Error obtaining the card serial number, aborting."
        PROMPT_ERR_DOWNLOAD="Error downloading the file from the Digital Signature Support Center, aborting."
        PROMPT_DIR_FILE="Next, you must select the folder where you want the contents of the selected file to be downloaded and extracted"
        PROMPT_ERR_DIR_FILE="Error selecting the download folder for the file, aborting."
        PROMPT_DOWNLOAD="Downloading $FILE from the Digital Signature Support Center..."
        PROMPT_ERR_DOWN_FILE="Error downloading file, aborting."
        SUDO_DEB_BROWSER="Enter the computer password to install Firefox from mozilla."
        SUDO_DEB_DEPS="Enter the computer password to install dependencies."
        SUDO_DEB_CERTS="Enter the computer password to install certificates."

    elif [ "$SLANG" = "fr" ] ; then
        TITLE="Installation de signature"
        TITLE="Installateur de signature"
        PROMPT_WELCOME="Bienvenue dans l'assistant d'installation du certificat de signature."
        PROMPT_FILE="Sélectionnez le fichier qui correspond à votre système d'exploitation."
        PROMPT_DEPS="Installation des dépendances."
        FILENAME="Fichier"
        FILEDESC="Système"
        PROMPT_SERIAL="Entrez le numéro de série imprimé au dos de la carte."
        PROMPT_ERR_SERIAL="Erreur d'obtention du numéro de série de la carte, abandon."
        PROMPT_ERR_DOWNLOAD="Erreur lors du téléchargement du fichier depuis le Centre de support des signatures numériques, abandon."
        PROMPT_DIR_FILE="Ensuite, vous devez sélectionner le dossier dans lequel vous souhaitez que le contenu du fichier sélectionné soit téléchargé et extrait"
        PROMPT_ERR_DIR_FILE="Erreur lors de la sélection du dossier de téléchargement du fichier, abandon."
        PROMPT_DOWNLOAD="Téléchargement de $FILE depuis le Centre de support des signatures numériques..."
        PROMPT_ERR_DOWN_FILE="Erreur de téléchargement du fichier, abandon."
        SUDO_DEB_BROWSER="Entrez le mot de passe de l'ordinateur pour installer Firefox depuis mozilla."
        SUDO_DEB_DEPS="Entrez le mot de passe de l'ordinateur pour installer les dépendances."
        SUDO_DEB_CERTS="Entrez le mot de passe de l'ordinateur pour installer les certificats."

    fi
}
